Page MenuHomePhabricator

Migrate pool counters to Buster
Closed, ResolvedPublic

Description

The pool counters used for mediawiki are currently running jessie:

@Legoktm has packaged poolcounter in Debian, so if we move to Buster we can simply use the native Debian packages:

  • poolcounter2001.codfw.wmnet
  • poolcounter2002.codfw.wmnet
  • poolcounter1001.eqiad.wmnet
  • poolcounter1003.eqiad.wmnet

Event Timeline

ArielGlenn triaged this task as Normal priority.Jun 11 2019, 7:55 AM

I don't remember if there was a reason I didn't build it for stretch-backports at the time, but that should be relatively straightforward if we decide to go with stretch instead of buster.

I don't remember if there was a reason I didn't build it for stretch-backports at the time, but that should be relatively straightforward if we decide to go with stretch instead of buster.

I think we can skip this, the pool counters won't be migrated in the next weeks and after that Buster will be the stable release.

Change 521235 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Update partman selection for pool counters

https://gerrit.wikimedia.org/r/521235

Change 521235 merged by Muehlenhoff:
[operations/puppet@production] Update partman selection for pool counters

https://gerrit.wikimedia.org/r/521235

Change 521248 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Add poolcounter1004,1005,2003,2004 to site.pp

https://gerrit.wikimedia.org/r/521248

Change 521248 merged by Muehlenhoff:
[operations/puppet@production] Add poolcounter1004,1005,2003,2004 to site.pp

https://gerrit.wikimedia.org/r/521248

Change 521283 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Switch pool counters for Thumbor in codfw to poolcounter2003

https://gerrit.wikimedia.org/r/521283

Mentioned in SAL (#wikimedia-operations) [2019-07-16T14:13:34Z] <jijiki> Disabling puppet on thumbor*codfw.wmnet - T224572

Mentioned in SAL (#wikimedia-operations) [2019-07-16T14:16:50Z] <jijiki> Depool thumbor2001 and pool back - T224572

Change 521283 merged by Effie Mouzeli:
[operations/puppet@production] Switch pool counters for Thumbor in codfw to poolcounter2003

https://gerrit.wikimedia.org/r/521283

Mentioned in SAL (#wikimedia-operations) [2019-07-16T14:29:59Z] <jijiki> Enable puppet and rolling restart thumbor* in codfw - T224572

Change 523728 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Switch Thumbor pool counters in eqiad to poolcounter1004

https://gerrit.wikimedia.org/r/523728

Mentioned in SAL (#wikimedia-operations) [2019-07-17T08:36:38Z] <jijiki> Disable puppet on thumbor* in eqiad, depool and pool back to apply 523728 - T224572

Change 523728 merged by Effie Mouzeli:
[operations/puppet@production] Switch Thumbor pool counters in eqiad to poolcounter1004

https://gerrit.wikimedia.org/r/523728

Change 525040 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/mediawiki-config@master] Add poolcounter1004

https://gerrit.wikimedia.org/r/525040

Change 525040 merged by jenkins-bot:
[operations/mediawiki-config@master] Add poolcounter1004

https://gerrit.wikimedia.org/r/525040

poolcounter1004 has just been added

Change 525055 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/mediawiki-config@master] Enable poolcounter1005, disable poolcounter1001

https://gerrit.wikimedia.org/r/525055

Change 525055 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable poolcounter1005, disable poolcounter1001

https://gerrit.wikimedia.org/r/525055

Mentioned in SAL (#wikimedia-operations) [2019-07-23T09:51:38Z] <akosiaris> enable poolcounter1005, disablepoolcounter1001 T224572

Change 525066 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/mediawiki-config@master] Disable poolcounter1003, also switch over pool counters in codfw

https://gerrit.wikimedia.org/r/525066

Change 525066 merged by jenkins-bot:
[operations/mediawiki-config@master] Disable poolcounter1003, also switch over pool counters in codfw

https://gerrit.wikimedia.org/r/525066

Mentioned in SAL (#wikimedia-operations) [2019-07-23T11:59:31Z] <akosiaris> enable disable poolcounter1003, switchover codfw poolcounters T224572

Change 525093 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Remove old jessie-based pool counters

https://gerrit.wikimedia.org/r/525093

Change 525093 merged by Muehlenhoff:
[operations/puppet@production] Remove old jessie-based pool counters

https://gerrit.wikimedia.org/r/525093

cookbooks.sre.hosts.decommission executed by jmm@cumin2001 for hosts: poolcounter1001.eqiad.wmnet

  • poolcounter1001.eqiad.wmnet
    • Removed from Puppet master and PuppetDB
    • Downtimed host on Icinga
    • No management interface found (likely a VM)
    • Removed from DebMonitor

cookbooks.sre.hosts.decommission executed by jmm@cumin2001 for hosts: poolcounter1003.eqiad.wmnet

  • poolcounter1003.eqiad.wmnet
    • Removed from Puppet master and PuppetDB
    • Downtimed host on Icinga
    • No management interface found (likely a VM)
    • Removed from DebMonitor

cookbooks.sre.hosts.decommission executed by jmm@cumin2001 for hosts: poolcounter2001.codfw.wmnet

  • poolcounter2001.codfw.wmnet
    • Removed from Puppet master and PuppetDB
    • Downtimed host on Icinga
    • No management interface found (likely a VM)
    • Removed from DebMonitor

cookbooks.sre.hosts.decommission executed by jmm@cumin2001 for hosts: poolcounter2002.codfw.wmnet

  • poolcounter2002.codfw.wmnet
    • Removed from Puppet master and PuppetDB
    • Downtimed host on Icinga
    • No management interface found (likely a VM)
    • Removed from DebMonitor

Mentioned in SAL (#wikimedia-operations) [2019-08-07T10:11:01Z] <moritzm> deleting poolcounter1001, poolcounter1003, poolcounter2001, poolcounter2002 in Ganeti (T224572)

Change 528747 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/dns@master] Remove DNS entries for poolcounter100[13] and poolcounter[12]

https://gerrit.wikimedia.org/r/528747

Change 528747 merged by Muehlenhoff:
[operations/dns@master] Remove DNS entries for poolcounter100[13] and poolcounter[12]

https://gerrit.wikimedia.org/r/528747

MoritzMuehlenhoff renamed this task from Migrate pool counters to Stretch/Buster to Migrate pool counters to Buster.Wed, Aug 7, 11:23 AM
MoritzMuehlenhoff closed this task as Resolved.

We now have the main pool counters running on Buster using the stock Debian package of poolcounter (poolcounter1004, poolcounter1005, poolcounter2003, poolcounter2004), the old Jessie instances have been removed.

cookbooks.sre.hosts.decommission executed by volans@cumin2001 for hosts: poolcounter2001.codfw.wmnet

  • poolcounter2001.codfw.wmnet
    • Removed from Puppet master and PuppetDB
    • Downtimed host on Icinga
    • No management interface found (likely a VM)
    • Removed from DebMonitor